
import 'package:hmg_patient_app/Constants.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

/// ----  Default Theme  ----
///

//final projectProvider = Provider.of(AppGlobal.context);
final bluePrimary = Color(0xFF00000);
final blueAccent = Color(0xFFFF9800);
final blueBackground = Color(0xFFFFFFFF);

defaultTheme({fontName}) {
  return ThemeData(
    fontFamily: fontName,
    useMaterial3: false,
    //projectProvider.isArabic ? 'Cairo' : 'WorkSans',
    primarySwatch: Colors.red,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    brightness: Brightness.light,
    pageTransitionsTheme: const PageTransitionsTheme(
      builders: {
        TargetPlatform.android: ZoomPageTransitionsBuilder(),
        TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
      },
    ),
    hintColor: Colors.grey[400],
    disabledColor: Colors.grey[300],
    // errorColor: Color.fromRGBO(235, 80, 60, 1.0),
    scaffoldBackgroundColor: Color(0xffF8F8F8),
    canvasColor: Colors.white,
    // backgroundColor: Color.fromRGBO(255, 255, 255, 1),
    highlightColor: Colors.grey[100]!.withOpacity(0.4),
    splashColor: Colors.transparent,
    primaryColor: Color(0xff515A5D),
    // toggleableActiveColor: secondaryColor,
    indicatorColor: secondaryColor,
    bottomSheetTheme: BottomSheetThemeData(backgroundColor: Color(0xFFE0E0E0)),
    // primaryTextTheme: TextTheme(bodyText2: TextStyle(color: Colors.white)),
    iconTheme: IconThemeData(),
    textTheme: TextTheme(
      // bodyText1: TextStyle(color: Colors.black, letterSpacing: 0.6),
      // headline1: TextStyle(color: Colors.white, letterSpacing: 0.6),
      // headline2: TextStyle(color: Colors.white, letterSpacing: 0.6),
    ),
    floatingActionButtonTheme: FloatingActionButtonThemeData(highlightElevation: 2, disabledElevation: 0, elevation: 2),

    appBarTheme: AppBarTheme(
      color: Color(0xff515A5D),
      elevation: 0.0,
      actionsIconTheme: IconThemeData(
        color: Colors.grey[800],
      ), systemOverlayStyle: SystemUiOverlayStyle.dark,
    ), textSelectionTheme: TextSelectionThemeData(cursorColor: Colors.grey, selectionColor: Color.fromRGBO(80, 100, 253, 0.5), selectionHandleColor: Colors.grey,),
  );
}

invertThemes({fontName}) {
  return ThemeData(
    fontFamily: fontName,
    //projectProvider.isArabic ? 'Cairo' : 'WorkSans',
    primarySwatch: Colors.red,
    useMaterial3: false,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    brightness: Brightness.dark,
    pageTransitionsTheme: const PageTransitionsTheme(
      builders: {
        TargetPlatform.android: ZoomPageTransitionsBuilder(),
        TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
      },
    ),
    hintColor: Colors.grey[400],
    // textTheme: TextTheme(bodyText1: TextStyle(color: Colors.white), headline1: TextStyle(color: Colors.white), headline2: TextStyle(color: Colors.white)),
    disabledColor: Colors.grey[800],
    // errorColor: Color.fromRGBO(235, 80, 60, 1.0),
    scaffoldBackgroundColor: Color(0xff000000),
    canvasColor: Colors.black,
    // backgroundColor: Color.fromRGBO(255, 255, 255, 1),
    highlightColor: Colors.grey[100]!.withOpacity(0.4),
    splashColor: Colors.transparent,
    primaryColor: Color(0xff515A5D),
    // toggleableActiveColor: secondaryColor,
    indicatorColor: secondaryColor,
    bottomSheetTheme: BottomSheetThemeData(backgroundColor: Color(0xFFE0E0E0)),
    iconTheme: IconThemeData(),
    appBarTheme: AppBarTheme(
      color: Color(0xff000000),
      elevation: 0.0,
      actionsIconTheme: IconThemeData(
        color: Colors.grey[800],
      ), systemOverlayStyle: SystemUiOverlayStyle.light,
    ), textSelectionTheme: TextSelectionThemeData(cursorColor: Colors.black, selectionColor: Color.fromRGBO(80, 100, 253, 0.5), selectionHandleColor: Colors.grey,),
  );
}

bwThemes({fontName}) {
  return ThemeData(
    fontFamily: fontName,
    //projectProvider.isArabic ? 'Cairo' : 'WorkSans',
    primarySwatch: Colors.red,
    useMaterial3: false,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    brightness: Brightness.dark,
    unselectedWidgetColor: Colors.red,

    pageTransitionsTheme: const PageTransitionsTheme(
      builders: {
        TargetPlatform.android: ZoomPageTransitionsBuilder(),
        TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
      },
    ),
    hintColor: Colors.grey[400],

    textTheme: TextTheme(
      // bodyText1: TextStyle(color: Colors.red[900]),
      // headline1: TextStyle(color: Colors.red[900]),
      // headline2: TextStyle(color: Colors.white),
      // bodyText2: TextStyle(color: Colors.red[900]),
      // subtitle1: TextStyle(color: Colors.red[900]),
    ),

    tabBarTheme: TabBarThemeData(labelColor: Colors.red[900]),

    disabledColor: Colors.grey[800],
    // errorColor: Color.fromRGBO(235, 80, 60, 1.0),
    scaffoldBackgroundColor: Color(0xffffffe4),
    canvasColor: Colors.black,
    // backgroundColor: Color(0xffffffe4),
    highlightColor: Colors.grey[100]!.withOpacity(0.4),
    splashColor: Colors.transparent,
    primaryColor: Color(0xfffffff4),
    // toggleableActiveColor: secondaryColor,
    indicatorColor: secondaryColor,
    bottomSheetTheme: BottomSheetThemeData(backgroundColor: Color(0xFFE0E0E0)),
    iconTheme: IconThemeData(),
    appBarTheme: AppBarTheme(
      color: Color(0xffffffe4),
      elevation: 0.0,
      actionsIconTheme: IconThemeData(
        color: Colors.grey[800],
      ), systemOverlayStyle: SystemUiOverlayStyle.light,
    ), textSelectionTheme: TextSelectionThemeData(cursorColor: Colors.black, selectionColor: Color.fromRGBO(80, 100, 253, 0.5), selectionHandleColor: Colors.grey,),
  );
}

dimTheme({fontName}) {
  return ThemeData(
    fontFamily: fontName,
    //projectProvider.isArabic ? 'Cairo' : 'WorkSans',
    primarySwatch: Colors.red,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    brightness: Brightness.dark,
    useMaterial3: false,
    pageTransitionsTheme: const PageTransitionsTheme(
      builders: {
        TargetPlatform.android: ZoomPageTransitionsBuilder(),
        TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
      },
    ),
    hintColor: Colors.grey[400],
    disabledColor: Colors.grey[300],
    // errorColor: Color.fromRGBO(235, 80, 60, 1.0),
    scaffoldBackgroundColor: Color(0xffEEEEEE),
    canvasColor: Colors.white,
    // backgroundColor: Color.fromRGBO(255, 255, 255, 1),
    highlightColor: Colors.grey[100]!.withOpacity(0.4),
    splashColor: Colors.transparent,
    primaryColor: Color(0xff40ACC9),
    bottomSheetTheme: BottomSheetThemeData(backgroundColor: Color(0xffE0E0E0)),
    iconTheme: IconThemeData(),
    appBarTheme: AppBarTheme(
      color: Color(0xff40ACC9),
      elevation: 10.0,
      actionsIconTheme: IconThemeData(
        color: Color(0xff40ACC9),
      ), systemOverlayStyle: SystemUiOverlayStyle.light,
    ), textSelectionTheme: TextSelectionThemeData(cursorColor: Colors.grey, selectionColor: Color.fromRGBO(80, 100, 253, 0.5), selectionHandleColor: Colors.grey,),
  );
}
